<!-- $Id: folders.jsp,v 1.9 2005/03/20 10:58:54 suhrin Exp $ -->
<%@ page contentType="text/html; charset=utf-8" import="
  java.util.Arrays,
  SK.gnome.dwarf.http.HTTPUtils,
  SK.gnome.dwarf.mail.store.*,
  SK.gnome.dwarf.mail.web.*"
%>
<jsp:useBean id="webmail" class="SK.gnome.dwarf.mail.web.Webmail" scope="session">
  <jsp:setProperty name="webmail" property="userName" value="<%= request.getRemoteUser() %>" />
</jsp:useBean>
<jsp:useBean id="options" class="SK.gnome.dwarf.mail.web.Options" scope="session">
  <jsp:setProperty name="options" property="userName" value="<%= request.getRemoteUser() %>" />
</jsp:useBean>
<%
  String s = request.getParameter("folder");
  if (s != null)
    webmail.setFolderName(s);
%>
<html>
<head>
  <title>Dwarf Webmail</title>
  <link href="site.css" rel="stylesheet" type="text/css">
</head>
<body marginwidth="0" marginheight="0" leftmargin="6" topmargin="0">
<table border="0" cellpadding="4" cellspacing="4" width="600">
  <tr>
    <td><br><span class="title">Available Folders</span></td>
  </tr>
</table>
<table border="0" cellpadding="4" cellspacing="1" width="600">
  <tr class="fld_header">
    <td width="20">&nbsp;</td>
    <% if (options.getFoldersTotals()) { %><td width="100">Total</td><% } %>
    <td>Name</td>
  </tr>
<%
  MailFolder[] folders = webmail.getDefaultFolder().listFolders("*");
  Arrays.sort(folders);
  for (int i = 0; i < folders.length; i++)
  { MailFolder folder = folders[i];
    if (folder.isDefaultFolder())
      continue;
    String name = folder.getFullName();
    out.println("<tr class=\"fld_row\">");
    out.println("<td class=\"fld_name\"><input class=\"fld_name\" name=\"name\" type=\"checkbox\" value=\"" + name + "\"></td>");
    if (options.getFoldersTotals())
    { int total, unseen;
      folder.open(MailFolder.READ_ONLY);
      try
      { folder.getNewMessages();
        total = folder.getMessageCount();
        unseen = folder.getMessageCount(MailFlag.SEEN, false);
      }
      finally
      { folder.close(false);
      }
      out.println("<td class=\"fld_total\"><b>" + unseen + "</b> (" + total + ")</td>");
    }
    out.println("<td class=\"fld_name\"><a href=\"mailbox.jsp?folder=" + HTTPUtils.escapeURL(name, "utf-8") + "\">" + name + "</a></td>");
    out.println("</tr>");
  }
%>
</table>
<table border="0" cellpadding="4" cellspacing="1" width="600">
  <form name="search" method="POST" action="folders.jsp">
  <tr>
    <td class="form_label" align="right">Create new folder:</td>
    <td class="form_input">
      <input class="form_input" type="text" name="folder" size="50">
    </td>
  </tr>
  <tr align="center"> 
    <td colspan="2"> 
      <input type="image" border="0" name="submit" src="images/submit.gif" width="64" height="22">
    </td>
  </tr>
  </form>
</table>
<p>&nbsp;</p>
</body>
</html>
