<!-- $Id: search.jsp,v 1.4 2004/03/09 22:17:16 suhrin Exp $ -->
<%@ page contentType="text/html; charset=utf-8"
  import="
  java.util.Arrays,
  SK.gnome.dwarf.utils.io.HTMLPrintWriter,
  SK.gnome.dwarf.mail.store.MailFolder"
%>
<jsp:useBean id="webmail" class="SK.gnome.dwarf.mail.web.Webmail" scope="session">
  <jsp:setProperty name="webmail" property="userName" value="<%= request.getRemoteUser() %>" />
</jsp:useBean>
<jsp:useBean id="options" class="SK.gnome.dwarf.mail.web.Options" scope="session">
  <jsp:setProperty name="options" property="userName" value="<%= request.getRemoteUser() %>" />
</jsp:useBean>
<html>
<head>
  <title>Dwarf Webmail</title>
  <link href="site.css" rel="stylesheet" type="text/css">
</head>
<body marginwidth="0" marginheight="0" leftmargin="6" topmargin="0">
<table border="0" cellpadding="4" cellspacing="4" width="710">
  <tr>
    <td><br><span class="title">Search messages in folder</span></td>
  </tr>
</table>
<table border="0" cellpadding="4" cellspacing="1">
  <form name="search" method="POST" action="results.jsp">
  <tr>
    <td class="form_label" align="right">Text:</td>
    <td class="form_input">
      <input class="form_input" type="text" name="text" size="50">
    </td>
  </tr>
  <tr>
    <td class="form_label" align="right">Folder:</td>
    <td class="form_input"> 
      <select class="form_input" name="folderSelect" onChange="document.search.folder.value=document.search.folderSelect.options[this.selectedIndex].value">
        <option value="<%= HTMLPrintWriter.encode(webmail.getFolderName()) %>">-------</option>
<%
  MailFolder[] folders = webmail.getDefaultFolder().listFolders("*");
  Arrays.sort(folders);
  for (int i = 0; i < folders.length; i++)
  { String name = HTMLPrintWriter.encode(folders[i].getFullName());
    out.println("<option value=\"" + name + "\">" + name + "</option>");
  }
%>
      </select>
      <input class="form_input" type="text" name="folder" size="30" value="<%= HTMLPrintWriter.encode(webmail.getFolderName()) %>" readonly>
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right" valign="top">Search for:</td>
    <td class="form_input"> 
      <select class="form_input" name="for" size="1">
        <option value="any" selected>any word</option>
        <option value="all">all words</option>
        <option value="phrase">phrase</option>
      </select>
      <input class="form_input" type="checkbox" name="partial" value="true" checked>allow partial matching<br>
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right" valign="top">Search in:</td>
    <td class="form_input"> 
      <input class="form_input" type="radio" name="in" value="message" checked>whole message<br>
      <input class="form_input" type="radio" name="in" value="subject">subject only<br>
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right" valign="top">Marked as:</td>
    <td class="form_input"> 
      <table cellpadding="2" cellspacing="2" border="0">
        <tr class="form_input">
          <td><input class="form_input" type="radio" name="flag_deleted" value="1">deleted</td>
          <td><input class="form_input" type="radio" name="flag_deleted" value="0">undeleted</td>
        </tr>
        <tr class="form_input">
          <td><input class="form_input" type="radio" name="flag_seen" value="1">seen</td>
          <td><input class="form_input" type="radio" name="flag_seen" value="0">unseen</td>
        </tr>
        <tr class="form_input">
          <td><input class="form_input" type="radio" name="flag_answered" value="1">answered</td>
          <td><input class="form_input" type="radio" name="flag_answered" value="0">unanswered</td>
        </tr>
        <tr class="form_input">
          <td><input class="form_input" type="radio" name="flag_flagged" value="1">flagged</td>
          <td><input class="form_input" type="radio" name="flag_flagged" value="0">unflagged</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td class="form_label" align="right">No older than:</td>
    <td class="form_input">
      <input class="form_input" type="text" name="days" size="3"> days
    </td>
  </tr>
  <tr align="center"> 
    <td colspan="2"> 
      <input type="image" border="0" name="submit" src="images/submit.gif" width="64" height="22">
    </td>
  </tr>
  </form>
</table>
<p>&nbsp;</p>
</body>
</html>
