<!-- $Id: setup.jsp,v 1.8 2004/09/22 21:28:58 suhrin Exp $ -->
<%@ page contentType="text/html; charset=utf-8" import="
  java.util.Arrays,
  SK.gnome.dwarf.utils.io.HTMLPrintWriter,
  SK.gnome.dwarf.mail.MailException,
  SK.gnome.dwarf.mail.store.MailFolder,
  SK.gnome.dwarf.mail.web.*"  
%>
<jsp:useBean id="webmail" class="SK.gnome.dwarf.mail.web.Webmail" scope="session">
  <jsp:setProperty name="webmail" property="userName" value="<%= request.getRemoteUser() %>" />
</jsp:useBean>
<jsp:useBean id="options" class="SK.gnome.dwarf.mail.web.Options" scope="session">
  <jsp:setProperty name="options" property="userName" value="<%= request.getRemoteUser() %>" />
</jsp:useBean>
<%
  if (request.getMethod().equalsIgnoreCase("POST"))
  { String s = request.getParameter(Options.KEY_DISPLAY_NAME);
    options.setDisplayName(HTMLPrintWriter.decode(s));

    s = request.getParameter(Options.KEY_FROM_ADDRESS);
    options.setFromAddress(HTMLPrintWriter.decode(s));

    s = request.getParameter(Options.KEY_PAGE_SIZE);
    if (s.length() > 0)
      options.setPageSize(Integer.parseInt(s));

    s = request.getParameter(Options.KEY_REFRESH_ON_CLOSE);
    options.setRefreshOnClose(s != null && s.equals("true"));

    s = request.getParameter(Options.KEY_REFRESHING_INTERVAL);
    if (s.length() > 0)
      options.setRefreshingInterval(Integer.parseInt(s));

    s = request.getParameter(Options.KEY_FOLDERS_TOTALS);
    options.setFoldersTotals(s != null && s.equals("true"));

    s = request.getParameter(Options.KEY_SENT_FOLDER);
    options.setSentFolder(HTMLPrintWriter.decode(s));

    s = request.getParameter(Options.KEY_SIGNATURE);
    options.setSignature(HTMLPrintWriter.decode(s));
    options.store();
  }
%>
<html>
<head>
  <title>Dwarf Webmail</title>
  <link href="site.css" rel="stylesheet" type="text/css">
</head>
<body marginwidth="0" marginheight="0" leftmargin="6" topmargin="0">
<table border="0" cellpadding="4" cellspacing="4" width="740">
<% if (request.getMethod().equalsIgnoreCase("POST")) { %>
  <tr class="alert">
    <td colspan="2"><br>Options has been stored successfuly!</td>
  </tr>
<% } %>
  <tr>
    <td><br><span class="title">Edit options for </span>
      <span class="subtitle"><i>"<%= request.getRemoteUser() %>"</i></span>
    </td>
  </tr>
</table>
<table border="0" cellpadding="4" cellspacing="1">
  <form name="setup" method="POST" action="setup.jsp">
  <tr> 
    <td class="form_label" align="right">Display name:</td>
    <td class="form_input"> 
      <input class="form_input" type="text" name="<%= Options.KEY_DISPLAY_NAME %>" size="50" value="<%= HTMLPrintWriter.encode(options.getDisplayName()) %>">
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">E-mail address:</td>
    <td class="form_input"> 
      <input class="form_input" type="text" name="<%= Options.KEY_FROM_ADDRESS %>" size="50" value="<%= HTMLPrintWriter.encode(options.getFromAddress()) %>">
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">Page size:</td>
    <td class="form_input"> 
      <input class="form_input" type="text" name="<%= Options.KEY_PAGE_SIZE %>" size="5" value="<%= options.getPageSize() %>">
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">Refresh folder on message close:</td>
    <td class="form_input"> 
      <input class="form_input" type="checkbox" name="<%= Options.KEY_REFRESH_ON_CLOSE %>" value="true"<%= options.getRefreshOnClose() ? " checked" : "" %>>
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">Folder auto-refreshing interval:</td>
    <td class="form_input"> 
      <input class="form_input" type="text" name="<%= Options.KEY_REFRESHING_INTERVAL %>" size="5" value="<%= options.getRefreshingInterval() %>"> secs
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">Compute totals for folder list:</td>
    <td class="form_input"> 
      <input class="form_input" type="checkbox" name="<%= Options.KEY_FOLDERS_TOTALS %>" value="true"<%= options.getFoldersTotals() ? " checked" : "" %>>
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">Sent mail folder:</td>
    <td class="form_input"> 
      <select class="form_input" name="sentFolderSelect" onChange="document.setup.<%= Options.KEY_SENT_FOLDER %>.value=document.setup.sentFolderSelect.options[this.selectedIndex].value">
        <option value="">-------</option>
<%
  MailFolder[] folders = webmail.getDefaultFolder().listFolders("*");
  Arrays.sort(folders);
  for (int i = 0; i < folders.length; i++)
  { String name = HTMLPrintWriter.encode(folders[i].getFullName());
    out.println("<option value=\"" + name + "\">" + name + "</option>");
  }
%>
      </select>
      <input class="form_input" type="text" name="<%= Options.KEY_SENT_FOLDER %>" size="30" value="<%= HTMLPrintWriter.encode(options.getSentFolder()) %>" readonly>
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right" valign="top">Personal signature:</td>
    <td class="form_input"> 
      <textarea class="form_text" name="<%= Options.KEY_SIGNATURE %>" cols="70" rows="10"><%= HTMLPrintWriter.encode(options.getSignature()) %></textarea>
    </td>
   </tr>
   <tr> 
     <td colspan="2" align="center"> 
       <input type="image" name="submit" src="images/submit.gif" width="64" height="22" border="0">
     </td>
   </tr>
  </tr>
  </form>
</table>
<p>&nbsp;</p>
</body>
</html>
