<!-- $Id: compose.jsp,v 1.9 2004/09/22 21:28:58 suhrin Exp $ -->
<%@ page contentType="text/html; charset=utf-8" import="
  java.io.InputStream,
  java.io.BufferedReader,
  java.io.InputStreamReader,
  javax.mail.internet.ContentType,
  SK.gnome.dwarf.utils.io.HTMLPrintWriter,
  SK.gnome.dwarf.mail.MailException,
  SK.gnome.dwarf.mail.mime.*,
  SK.gnome.dwarf.mail.store.*,
  SK.gnome.dwarf.mail.web.*"  
%>
<jsp:useBean id="webmail" class="SK.gnome.dwarf.mail.web.Webmail" scope="session">
  <jsp:setProperty name="webmail" property="userName" value="<%= request.getRemoteUser() %>" />
</jsp:useBean>
<jsp:useBean id="options" class="SK.gnome.dwarf.mail.web.Options" scope="session">
  <jsp:setProperty name="options" property="userName" value="<%= request.getRemoteUser() %>" />
</jsp:useBean>
<%
  boolean forward = request.getParameter("forward") != null;

  long uid = 0;
  String from = options.getFromAddress();
  if (from.length() == 0)
  { from = request.getRemoteUser();
    if (from.indexOf('@') == -1)
      from += "@" + application.getInitParameter("webmail.originDomain");
  }
  String displayName = options.getDisplayName();
  if (displayName.length() > 0)
    from = "\"" + displayName + "\" <" + from + ">";
  String to = "";
  String cc = "";
  String msgid = null;
  String subject = "";
  String signature = options.getSignature();
  StringBuffer content = new StringBuffer(signature);
  long fwdSize = 0;

  String s = request.getParameter("uid");
  if (s != null)
  { MailFolder folder = webmail.getFolder();
    try
    { folder.open(MailFolder.READ_ONLY);
      uid = Long.parseLong(s);
      MailMessage msg = folder.getMessage(uid);
      MimePart part = msg.getMimePart();
      if (!forward)
        msgid = part.getHeader("Message-Id", null);
      s = part.getHeader("Subject", null);
      if (s != null)
        subject = (forward ? "Fwd: " : "Re: ") + MimeUtility.decodeHeader(s);

      if (forward)
      { fwdSize = msg.getSize() / 1024;  // display size of the attachment
        if (fwdSize == 0)
          fwdSize = 1;
      }
      else
      { to = MimeUtility.decodeAddressHeader(part.getHeader("From", null));
        if (request.getParameter("all") != null)
        { String h = "";
          s = part.getHeader("To", null);
          if (s != null)
            h = s;
          s = part.getHeader("Cc", null);
          if (s != null)
            if (h.length() == 0)
              h = s;
            else
              h += "," + s;
          cc = Address.toString(h);
        }

        MimePart textPart = null;
        if (part.isMimeType("text/plain"))
          textPart = part;
        else if (part.isMimeType("multipart/*"))
        { for (int i = 0, n = part.getMimePartCount(); i < n; i++)
          { MimePart p = part.getMimePart(i);
            if (p.isMimeType("text/plain"))
            { textPart = p;
              break;
            }
          }
        }
        if (textPart != null)
        { s = textPart.getHeader("Content-Type", null);
          if (s == null)
            s = "text/plain";
          ContentType type = new ContentType(s);
          String cs = type.getParameter("charset");
          if (cs == null)
            cs = "us-ascii";
          cs = javax.mail.internet.MimeUtility.javaCharset(cs);
          InputStream in = null;
          try
          { in = textPart.getDecodedInputStream();
            BufferedReader reader = new BufferedReader(new InputStreamReader(in, cs));
            content = new StringBuffer(in.available());
            String line;
            while ((line = reader.readLine()) != null)
            { content.append('>');
              if (!line.startsWith(">"))
                content.append(' ');
              content.append(line).append("\r\n");
            }
            content.append("\r\n").append(signature);
          }
          finally
          { try
            { in.close();
            }
            catch (Exception e)
            {
            }
          }
        }
      }      
    }
    finally
    { folder.close(false);
    }
  }
%>
<html>
<head>
  <title>Dwarf Webmail</title>
  <link href="site.css" rel="stylesheet" type="text/css">
  <script language="JavaScript">
  <!--
    function submit()
    { if (document.compose.from.value == "")
        alert("Empty From: address!");
      else if (document.compose.to.value == "")
        alert("Empty To: address!");
      else if (document.compose.subject.value == "")
        alert("Empty Subject: header!");
      else document.compose.submit();
    }
  //  --> 
  </script>
</head>
<body marginwidth="0" marginheight="0" leftmargin="6" topmargin="0">
<table border="0" cellpadding="4" cellspacing="4" width="710">
  <tr>
    <td><br><span class="title">Compose a new message</td>
  </tr>
</table>
<table border="0" cellpadding="4" cellspacing="1" width="710">
  <form name="compose" method="POST" action="send.jsp" enctype="multipart/form-data">
<% if (uid > 0) { %><input type="hidden" name="uid" value="<%= uid %>"><% } %>
<% if (msgid != null) { %><input type="hidden" name="msgid" value="<%= msgid %>"><% } %>
  <tr> 
    <td class="form_label" align="right">From:</td>
    <td class="form_input"> 
      <input class="form_input" type="text" name="from" size="50" value="<%= HTMLPrintWriter.encode(from) %>">
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">To:</td>
    <td class="form_input"> 
      <input class="form_input" type="text" name="to" size="50" value="<%= HTMLPrintWriter.encode(to) %>">
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">Cc:</td>
    <td class="form_input"> 
      <input class="form_input" type="text" name="cc" size="50" value="<%= HTMLPrintWriter.encode(cc) %>">
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right">Subject:</td>
    <td class="form_input"> 
      <input class="form_input" type="text" name="subject" size="50" value="<%= HTMLPrintWriter.encode(subject) %>">
    </td>
  </tr>
  <tr> 
    <td class="form_label" align="right" valign="top">Text:</td>
    <td class="form_input"> 
      <textarea class="form_text" name="text" cols="70" rows="16"><%= content %></textarea>
    </td>
   </tr>
   <tr> 
     <td class="form_label" align="right"><image src="images/att.gif"></td>
<% if (forward) { %>
     <td class="msg_att">Forwarded message [message/rfc822, <%= fwdSize %> kB]</td>
<% } else { %>
     <td class="form_input"><input class="form_input" type="file" name="localFile" size="60"></td>
<% } %>
   </tr>
   <tr> 
     <td colspan="2" align="center"> 
       <input name="submit" type="image" src="images/submit.gif" value="submit">
     </td>
   </tr>
  </tr>
  </form>
</table>
<p>&nbsp;</p>
</body>
</html>
